## openchange 2.2

=== Makefile ===
# # Makefile for OpenChange
# Written by Jelmer Vernooij <jelmer@openchange.org>, 2005.

# C++11 support
CXX11FLAGS=-std=c++0x

ifneq ($(MAKECMDGOALS), samba)
ifneq ($(MAKECMDGOALS), samba-git)
ifneq ($(MAKECMDGOALS), samba-git-update)
include config.mk
endif
endif
endif

default: all

# Until we add proper dependencies for all the C files:
.NOTPARALLEL:

config.mk: config.status config.mk.in
	./config.status

config.status: configure
	@if test x"$(prefix)" != x""; \
	then \
	  echo "Running configure with prefix '$(prefix)'..."; \
	  ./configure --prefix=$(prefix); \
	else \
	  echo "Running configure without prefix"; \
	  ./configure; \
	fi

configure: configure.ac
	PREFIX=$(prefix) ./autogen.sh

samba:
	./script/installsamba4.sh all

samba-git: 
	./script/installsamba4.sh git-all

samba-git-update:
	./script/installsamba4.sh git-update

#################################################################
# top level compilation rules
#################################################################

all: 		$(OC_IDL)		\
		$(OC_LIBS)		\
		$(OC_TOOLS)		\
		$(OC_SERVER)		\
		$(PYOPENCHANGEALL)	\
		$(OC_TESTSUITE)		\
		$(COVERAGE_INIT)	\
		$(OPENCHANGE_QT4)

install:: 	all 			\
		installlib 		\
		installpc 		\
		installheader 		\
		$(OC_TOOLS_INSTALL) 	\
		$(OC_TESTSUITE_INSTALL)	\
		$(OC_SERVER_INSTALL) 	\
		$(PYOPENCHANGEINSTALL)

installlib:	$(OC_LIBS_INSTALL)
installpc:	$(OC_LIBS_INSTALLPC)
installheader:	$(OC_LIBS_INSTALLHEADERS)

uninstall:: 	$(OC_LIBS_UNINSTALL)		\
		$(OC_TOOLS_UNINSTALL)		\
		$(OC_TESTSUITE_UNINSTALL)	\
		$(OC_SERVER_UNINSTALL)		\
		$(PYOPENCHANGEUNINSTALL)

dist:: distclean
	./autogen.sh

distclean:: clean
	rm -f aclocal.m4
	rm -rf autom4te.cache
	rm -f Doxyfile
	rm -f libmapi/Doxyfile
	rm -f libmapiadmin/Doxyfile
	rm -f libocpf/Doxyfile
	rm -f libmapi++/Doxyfile
	rm -f mapiproxy/Doxyfile
	rm -f mapiproxy/libmapistore/Doxyfile
	rm -f config.status config.log
	rm -f config.h
	rm -f stamp-h1
	rm -f utils/mapitest/Doxyfile
	rm -f intltool-extract intltool-merge intltool-update
	rm -rf apidocs
	rm -rf gen_ndr
	rm -f tags

clean::
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f doc/examples/mapi_sample1
	rm -f doc/examples/fetchappointment
	rm -f doc/examples/fetchmail

re:: clean install

#################################################################
# Suffixes compilation rules
#################################################################

.SUFFIXES: .c .o .h .po .idl .cpp

.idl.h:
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --header -- $<

.c.o:
	@echo "Compiling $<"
	@$(CC) $(CFLAGS) -c $< -o $@

.c.po:
	@echo "Compiling $< with -fPIC"
	@$(CC) $(CFLAGS) -fPIC -c $< -o $@

.cpp.o:
	@echo "Compiling $< with -fPIC"
	@$(CXX) $(CXX11FLAGS) $(CXXFLAGS) $(QT4_CXXFLAGS) -fPIC -c $< -o $@

.cpp.po:
	@echo "Compiling $< with -fPIC"
	@$(CXX) $(CXX11FLAGS) $(CXXFLAGS) -fPIC -c $< -o $@

#################################################################
# IDL compilation rules
#################################################################

idl: gen_ndr gen_ndr/ndr_exchange.h gen_ndr/ndr_property.h

exchange.idl: properties_enum.h mapicodes_enum.h

gen_ndr:
	@echo "Creating the gen_ndr directory"
	mkdir -p gen_ndr

gen_ndr/ndr_%.h gen_ndr/ndr_%.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --ndr-parser -- $<

gen_ndr/ndr_%_c.h gen_ndr/ndr_%_c.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --client -- $<

gen_ndr/ndr_%_s.c: %.idl
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --server -- $<



#################################################################
# libmapi compilation rules
#################################################################

LIBMAPI_SO_VERSION = 0

libmapi:	idl					\
		libmapi/version.h			\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	

libmapi-install:	libmapi			\
			libmapi-installpc	\
			libmapi-installlib	\
			libmapi-installheader	\
			libmapi-installscript

libmapi-uninstall:	libmapi-uninstallpc	\
			libmapi-uninstalllib	\
			libmapi-uninstallheader	\
			libmapi-uninstallscript

libmapi-clean::
	rm -f libmapi/*.o libmapi/*.po
	rm -f libmapi/*.gcno libmapi/*.gcda libmapi/*.gcov
	rm -f libmapi/socket/*.o libmapi/socket/*.po
	rm -f libmapi/socket/*.gcno libmapi/socket/*.gcda
	rm -f libmapi/version.h
ifneq ($(SNAPSHOT), no)
	rm -f libmapi/mapicode.c
	rm -f libmapi/codepage_lcid.c
	rm -f mapicodes_enum.h
endif
	rm -f gen_ndr/ndr_exchange*
	rm -f gen_ndr/exchange.h
	rm -f gen_ndr/ndr_property*
	rm -f gen_ndr/property.h
	rm -f ndr_mapi.o ndr_mapi.po
	rm -f ndr_mapi.gcno ndr_mapi.gcda
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) libmapi.$(SHLIBEXT).* \
		  libmapi.$(SHLIBEXT)

clean:: libmapi-clean

libmapi-distclean::
	rm -f libmapi.pc

distclean:: libmapi-distclean

libmapi-installpc:
	@echo "[*] install: libmapi pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi.pc $(DESTDIR)$(libdir)/pkgconfig

libmapi-installlib:
	@echo "[*] install: libmapi library"
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)
ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION)
endif

libmapi-installheader:
	@echo "[*] install: libmapi headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_context.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_object.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_profile.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_nameid.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapidefs.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/version.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapicode.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/idset.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/fxics.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/property_tags.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/property_altnames.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/
	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
	$(INSTALL) -m 0644 gen_ndr/ndr_exchange.h $(DESTDIR)$(includedir)/gen_ndr/
	$(INSTALL) -m 0644 gen_ndr/ndr_property.h $(DESTDIR)$(includedir)/gen_ndr/
	@$(SED) $(DESTDIR)$(includedir)/libmapi/*.h
	@$(SED) $(DESTDIR)$(includedir)/libmapi/socket/*.h
	@$(SED) $(DESTDIR)$(includedir)/gen_ndr/*.h

libmapi-installscript:
	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
	$(INSTALL) -m 0644 setup/profiles/oc_profiles* $(DESTDIR)$(datadir)/setup/profiles/

libmapi-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc

libmapi-uninstalllib:
	rm -f $(DESTDIR)$(libdir)/libmapi.*

libmapi-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi
	rm -f $(DESTDIR)$(includedir)/gen_ndr/exchange.h
	rm -f $(DESTDIR)$(includedir)/gen_ndr/property.h

libmapi-uninstallscript:
	rm -f $(DESTDIR)$(datadir)/setup/profiles/oc_profiles*
	rm -rf $(DESTDIR)$(datadir)/setup/profiles

libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
	libmapi/emsmdb.po				\
	libmapi/async_emsmdb.po				\
	libmapi/IABContainer.po				\
	libmapi/IProfAdmin.po				\
	libmapi/IMAPIContainer.po			\
	libmapi/IMAPIFolder.po				\
	libmapi/IMAPIProp.po				\
	libmapi/IMAPISession.po				\
	libmapi/IMAPISupport.po				\
	libmapi/IStream.po				\
	libmapi/IMAPITable.po				\
	libmapi/IMessage.po				\
	libmapi/IMsgStore.po				\
	libmapi/IStoreFolder.po				\
	libmapi/IUnknown.po				\
	libmapi/IMSProvider.po				\
	libmapi/IXPLogon.po				\
	libmapi/FXICS.po				\
	libmapi/utils.po 				\
	libmapi/property.po				\
	libmapi/cdo_mapi.po 				\
	libmapi/lzfu.po					\
	libmapi/mapi_object.po				\
	libmapi/mapi_id_array.po			\
	libmapi/property_tags.po			\
	libmapi/mapidump.po				\
	libmapi/mapicode.po 				\
	libmapi/codepage_lcid.po			\
	libmapi/mapi_nameid.po				\
	libmapi/nspi.po 				\
	libmapi/simple_mapi.po				\
	libmapi/freebusy.po				\
	libmapi/x500.po 				\
	libmapi/fxparser.po				\
	libmapi/notif.po				\
	libmapi/idset.po				\
	ndr_mapi.po					\
	gen_ndr/ndr_exchange.po				\
	gen_ndr/ndr_exchange_c.po			\
	gen_ndr/ndr_property.po				\
	libmapi/socket/interface.po			\
	libmapi/socket/netif.po				
	@echo "Linking $@"
	@$(CC) $(DSOOPT) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)


libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	ln -fs $< $@

libmapi/version.h: VERSION
	@./script/mkversion.sh VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/

libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/async_emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/mapicode.c mapicodes_enum.h: libmapi/conf/mparse.pl libmapi/conf/mapi-codes
	libmapi/conf/mparse.pl --parser=mapicodes --outputdir=libmapi/ libmapi/conf/mapi-codes

libmapi/codepage_lcid.c: libmapi/conf/mparse.pl libmapi/conf/codepage-lcid
	libmapi/conf/mparse.pl --parser=codepage_lcid --outputdir=libmapi/ libmapi/conf/codepage-lcid

#################################################################
# libmapi++ compilation rules
#################################################################

LIBMAPIPP_SO_VERSION = 0

libmapixx: libmapi \
	libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) \
	libmapixx-tests \
	libmapixx-examples

libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION): 	\
	libmapi++/src/attachment.po 		\
	libmapi++/src/folder.po 		\
	libmapi++/src/mapi_exception.po		\
	libmapi++/src/message.po		\
	libmapi++/src/object.po			\
	libmapi++/src/profile.po		\
	libmapi++/src/session.po \
	libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION)
	@echo "Linking $@"
	@$(CXX) $(DSOOPT) $(CXX11FLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS) 

libmapixx-installpc:
	@echo "[*] install: libmapi++ pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi++.pc $(DESTDIR)$(libdir)/pkgconfig

libmapixx-distclean:
	rm -f libmapi++.pc

libmapixx-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc

distclean::libmapixx-distclean

clean:: libmapixx-clean

libmapixx-install: libmapixx-installheader libmapixx-installlib libmapixx-installpc

libmapixx-uninstall: libmapixx-uninstallheader libmapixx-uninstalllib libmapixx-uninstallpc

libmapixx-installheader:
	@echo "[*] install: libmapi++ headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++
	$(INSTALL) -m 0644 libmapi++/attachment.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/clibmapi.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/folder.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/libmapi++.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/mapi_exception.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message_store.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/object.h $(DESTDIR)$(includedir)/libmapi++/

=== debian/changelog ===
openchange (1:2.2-7ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:33:48 +0100

openchange (1:2.2-7) unstable; urgency=low

  * Force timestamp of manual pages to package change time, to help make
    build reproducible.
  * Add patch 02_no_system_info: Exclude system info, as it prevents
    reproducible builds.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 06 May 2015 23:29:02 +0000

openchange (1:2.2-6) unstable; urgency=medium

  * Add dependency on pidl 2:4.1.17+dfsg-4, which has reproducible
    output.
  * Bump standards version to 3.9.6 (no changes).
  * Make openchange-dbg Multi-Arch: same.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Apr 2015 00:26:54 +0000

openchange (1:2.2-5) unstable; urgency=medium

  * Disable mysql tests. Closes: #761559

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Sep 2014 00:38:21 +0200

openchange (1:2.2-4) unstable; urgency=medium

  * Another attempt to clean up more bundled object files. Closes: #759793

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 09 Sep 2014 21:24:21 +0200

openchange (1:2.2-3) unstable; urgency=medium

  * Also clean up remaining -fPIC and regular object files before build.
    Closes: #759793
  * Build-Depend on check for testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Sep 2014 19:25:28 +0200

openchange (1:2.2-2) unstable; urgency=medium

  * Properly clean up po files. Closes: #759793

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 31 Aug 2014 03:36:30 +0200

openchange (1:2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Aug 2014 02:48:41 +0200

=== debian/control ===
Source: openchange
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bison,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               flex,
               libboost-system-dev,
               libboost-thread-dev,
               libical-dev,
               libldb-dev,
               libmagic-dev,
               libmysqlclient-dev,
               libparse-pidl-perl (>= 2:4.1.17+dfsg-4),
               libpopt-dev,
               libsqlite3-dev,
               libsubunit-dev,
               libtalloc-dev,
               libtevent-dev (>= 0.9.9~),
               pkg-config,
               python-all-dev (>= 2.6.6-3),
               python-mysqldb,
               python-paste,
               python-samba (>= 2:4.1),
               python-testtools,
               python-pylons,
               python-twisted-core,
               samba-dev (>= 2:4.1),
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-samba/openchange.git -b unstable
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/openchange.git;a=summary
Homepage: http://www.openchange.org/
X-Python-Version: 2.7

Package: libmapi0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Client library for the MAPI protocol
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libmapi-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         libmapi0 (= ${binary:Version}),
         samba-dev,
         libtalloc-dev,
         libtevent-dev,
         ${misc:Depends}
Description: Development files for the MAPI client library
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: libmapipp-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapipp0v5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the header files.

Package: libmapipp0v5
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmapipp0
Replaces: libmapipp0
Description: Library files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the shared library.

Package: libocpf0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Scripting library for the MAPI protocol
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libocpf-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libocpf0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the OCPF library
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: openchangeclient
Architecture: any
Enhances: nagios3, icinga
Suggests: ${perl:Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command-line client for the MAPI (Exchange/Outlook) protocol
 Simple command-line client that allows fetching mail from and sending
 mail using a MAPI server.

Package: openchangeserver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: openchangeproxy,
         samba (>= 2:4.0.0~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) server
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package is alpha software.

Package: openchangeserver-dev
Architecture: any
Depends: openchangeserver (= ${binary:Version}),
         samba-dev (>= 4.0.0~),
         ${misc:Depends}
Description: Experimental MAPI (Exchange/Outlook) server - development files
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package contains the development files.

Package: openchangeproxy
Architecture: any
Depends: samba (>= 2:4.0.0~), ${misc:Depends}, ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) proxy
 This is a plugin for Samba 4 that provides a proxy for the MAPI protocol.
 .
 This package is alpha software.

Package: libmapiadmin0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Administration client library for the MAPI (Exchange/Outlook) protocol
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.

Package: libmapiadmin-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiadmin0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the MAPI administration client library
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.
 .
 This package contains the development files.

Package: libmapiproxy0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Proxy library for the MAPI (Exchange/Outlook) protocol
 This is a library that allows proxying of the MAPI (Exchange/Outlook)
 protocol.

Package: libmapiproxy-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiproxy0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the MAPI proxy library
 Library that allows proxying of the MAPI (Exchange/Outlook) protocol.
 .
 This package contains the development files.

Package: libmapistore0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Storage library for MAPI objects
 Library that can store arbitrary MAPI objects.

Package: libmapistore-dev
Section: libdevel
Depends: libmapistore0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Storage library for MAPI objects - development files
 Library that can store arbitrary MAPI objects.
 .
 This package contains the development files.

Package: openchange-dbg
Multi-Arch: same
Section: debug
Priority: extra
Architecture: any
Depends: libmapi0 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: OpenChange debugging symbols
 OpenChange is an implementation of the MAPI (Exchange) protocol for Unix
 systems.
 .
 This package provides debugging information for the software in the
 OpenChange suite. Install it to get a better backtrace in the event of a
 crash.

Package: python-ocsmanager
Section: python
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pylons, python-paste
Description: OpenChange Service Manager
 OpenChange is an implementation of the MAPI (Exchange) protocol for Unix
 systems.
 .
 This package contains the Python implementation of the various
 web services (freebusy, rpcproxy) provided by OpenChange.

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS += -Wl,--as-needed
DSOOPT = $(LDFLAGS) -shared -fPIC
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DESTDIR = $(CURDIR)/debian/tmp

PYVERS = $(shell pyversions -rv)
export PYTHON="$(shell which `pyversions -r`)"

CL_DATE=$(shell dpkg-parsechangelog --show-field=Date)

%:
	dh $* --with python2,autoreconf,autotools_dev

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	LDFLAGS=-Wl,--as-needed ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/openchange \
		--disable-pymapi \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	# Urgh
	sed -i -e 's/site-packages/dist-packages/' config.mk

override_dh_auto_test:
	$(MAKE) check

override_dh_auto_build:
	test -d bin || mkdir bin
	test -d setup/mapistore/ || mkdir setup/mapistore/
	rm -f mapiproxy/util/*.po mapiproxy/util/*.o
	rm -f mapiproxy/modules/*.o mapiproxy/modules/*.po
	rm -f mapiproxy/libmapistore/backends/*.po
	rm -f mapiproxy/libmapistore/backends/*.o
	rm -f mapiproxy/libmapiproxy/backends/*.po
	rm -f mapiproxy/libmapiproxy/backends/*.o
	$(MAKE) datadir=/usr/share/openchange LDFLAGS="$(LDFLAGS)" DSOOPT="$(DSOOPT)" all doxygen
	# doxygen inserts the current time into all the man-pages it creates without
	# a possibility to turn that off (AFAICT). So replacing the date with something
	# more reasonable: the timestamp of the last Debian changelog entry.
	sed --in-place -e \
	      "s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C date --date='$(CL_DATE)' +'%a %b %d %Y')\2/" \
		  apidocs/man/man3/*.3

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean
	rm -f mapiproxy/util/*.po mapiproxy/util/*.o
	rm -f mapiproxy/modules/*.o mapiproxy/modules/*.po
	rm -f mapiproxy/libmapistore/backends/*.po
	rm -f mapiproxy/libmapistore/backends/*.o
	rm -f mapiproxy/libmapiproxy/backends/*.po
	rm -f mapiproxy/libmapiproxy/backends/*.o

override_dh_auto_install:
	mkdir -p $(DESTDIR)/usr/lib/nagios/plugins
	$(MAKE) datadir=/usr/share/openchange install installman DESTDIR=$(DESTDIR) MANUALLY_CREATE_SYMLINKS=yes
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/nagios/check_exchange \
	   $(DESTDIR)/usr/lib/nagios/plugins/check_exchange 
	rm -rf $(DESTDIR)/usr/modules
	# Don't install the testsuite for now
	rm $(DESTDIR)/usr/bin/openchange-testsuite
	rm -r $(DESTDIR)/usr/share/openchange/mapitest
	rm $(DESTDIR)/usr/bin/check_fasttransfer
	rm $(DESTDIR)/usr/bin/test_asyncnotif
	cd mapiproxy/services/ocsmanager/ && python ./setup.py install --root=$(DESTDIR) --install-layout=deb --no-compile

override_dh_install:
	dh_install --sourcedir=debian/tmp --list-missing --fail-missing

get-orig-source:
	./debian/build-orig.sh

override_dh_strip:
	dh_strip --dbg-package=openchange-dbg
